Resolve thread
curl --request POST \
--url https://api.withallo.com/v2/api/threads/{id}/resolve \
--header 'Authorization: <api-key>'import requests
url = "https://api.withallo.com/v2/api/threads/{id}/resolve"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.withallo.com/v2/api/threads/{id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "cth-abc123",
"resolved": true,
"resolved_at": "2026-07-13T11:00:00",
"resolved_by": {
"id": "usr-def456",
"name": "John Smith"
},
"comment_count": 2
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}Fils de discussion
Résoudre un fil de discussion
Marks a thread as resolved.
POST
/
v2
/
api
/
threads
/
{id}
/
resolve
Resolve thread
Scope requis :
THREADS_WRITEresolved_at et resolved_by sont définis à l’heure courante et à l’utilisateur de l’API key — résoudre un fil déjà résolu les met à jour.
La résolution ne verrouille pas le fil — des commentaires peuvent toujours être ajoutés, et le fil peut être rouvert avec POST /v2/api/threads/{id}/unresolve.
Erreurs
| Statut | Code | Quand |
|---|---|---|
404 | THREAD_NOT_FOUND | Aucun fil avec cet ID |
Cette page vous a-t-elle été utile ?
⌘I